Skip to content

List the roles of a merchant

GET
/v1/admin/merchants/{merchant_id}/roles/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid

Response Body

The roles.

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles/' \  --user "$API_KEY:"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created": "2019-08-24T14:15:22Z",    "modified": "2019-08-24T14:15:22Z",    "name": "Merchant administrator",    "description": "string",    "permissions": {      "property1": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      },      "property2": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      }    },    "field_permissions": {      "property1": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      },      "property2": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      }    },    "max_allowed_correction_amount": 0  }]